PHP Manual
Prev |  | Next

# imagechar

(PHP 3, PHP 4, PHP 5)

imagechar -- Draw a character horizontally

## Description

bool imagechar ( resource image, int font, int x, int y, string c, int color )

imagechar() draws the first character of `c` in the image identified by `image` with its upper-left at `x`,`y` (top left is 0, 0) with the color `color`.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`font`

  Can be 1, 2, 3, 4, 5 for built-in fonts (where higher numbers corresponding to larger fonts) or any of your own font identifiers registered with imageloadfont().

`x`

  x-coordinate of the start

`y`

  y-coordinate of the start

`c`

  The character to draw

`color`

  A color identifier created with imagecolorallocate()

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. imagechar() example

`<?php $im = imagecreate(100, 100); $string = 'PHP'; $bg = imagecolorallocate($im, 255, 255, 255); $black = imagecolorallocate($im, 0, 0, 0); // prints a black "P" in the top left corner imagechar($im, 1, 0, 0, $string, $black); header('Content-type: image/png'); imagepng($im); ?>`

The above example will output something similar to:

## See Also

imagecharup()
imageloadfont()

Prev | Home | Next
imagearc | Up | imagecharup